DNSCRYPT-WRAPPER(8)

NAME
dnscrypt-wrapper - Creates an empty website template almost ready for deployment.

SYNOPSIS
dnscrypt-wrapper [-h] [-a <str>] [-r <str>] [-U] [-u <str>] [-l <str>] [-p <str>] [-d] [-V] [-v] [--gen-cert-file] [--gen-crypt-keypair] [--gen-provider-keypair] [--show-provider-publickey-fingerprint]

DESCRIPTION
dnscrypt-wrapper DNSCrypt is a protocol that authenticates communications between a DNS client and a DNS resolver. It prevents DNS spoofing. It uses cryptographic signatures to verify that responses originate from the chosen DNS resolver and haven't been tampered with.

OPTIONS

-h, --help,
    Display dnscrypt-wrapper help message and exit.

-a <str>, --listen-address=<str>
    Set local address to listen (default: 0.0.0.0:53).

<str>-r, --resolver-address=<str>
    Set the upstream dns resolver server (<address:port>).

-U, --unauthenticated
    Allow and forward unauthenticated queries (default: off).

-u <str>, --user=<str>
    Run the service as given user.

-l <str>, --logfile=<str>
    Logs file path (default: stdout).

-p <str>, --pidfile=<str>
    Pid file path (default: none).

-d, --daemonize
    Run as daemon (default: off).

-V, --verbose
    Set the service to be more verbose. Specify more -VVV to increase verbosity.

-v, --version
    Show version info and exit.

--gen-cert-file
    Generate pre-signed certificate

--gen-crypt-keypair
    Generate crypt key pair

--gen-provider-keypair
    Generate provider key pair

--show-provider-publickey-fingerprint
    Display provider public key fingerprint

--provider-cert-file=<str>
    Certificate file (default: ./dnscrypt.cert)

--provider-name=<str>
    Provider name.

--provider-publickey-file=<str>
    Provider public key file (default: ./public.key).

--provider-secretkey-file=<str>
    Provider secret key file (default: ./secret.key).

--crypt-secretkey-file=<str>
    Crypt secret key file (default: ./crypt_secret.key).

--cert-file-expire-days=<int>
    cert file expire days (default: 365).

SEE ALSO
dnscrypt-proxy(8)